.page-item {
  @mixin badge($bgColor) {
    background-color: $bgColor;
    color: white;
    padding: 5px;
    border-radius: 3px;
  }
  padding-top: 50px;
  .item {
    &__header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      .item {
        &__name {
          font-size: 34px;
          .item__id {
            @include badge(black);
            padding: 0px 5px;
            margin-right: 15px;
          }
        }
        &__cost {
          font-size: 24px;
          @include badge(darkcyan);
        }
      }
    }
    &__description {
      font-size: 24px;
      line-height: 1.5;
      margin: 24px 0;
    }
    &__footer {
      display: flex;
      justify-content: flex-end;
      & > * {
        margin-left: 10px;
      }
    }
  }
  .no-item {
    text-align: center;
    padding-top: 25px;
    h1 {
      font-size: 38px;
    }
  }
}
